Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.terracotta.quartz.wrappers
Enum TriggerWrapper.TriggerState

    java.lang.Object
      java.lang.Enum<TriggerWrapper.TriggerState>
          org.terracotta.quartz.wrappers.TriggerWrapper.TriggerState

All Implemented Interfaces:
  Serializable, Comparable<TriggerWrapper.TriggerState>

Enclosing class:
  TriggerWrapper

    public static enum TriggerWrapper.TriggerState

extends Enum<TriggerWrapper.TriggerState>

Enum Constant Summary
`ACQUIRED`
`BLOCKED`
`COMPLETE`
`ERROR`
`PAUSED`
`PAUSED_BLOCKED`
`WAITING`

Method Summary
`static TriggerWrapper.TriggerState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TriggerWrapper.TriggerState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WAITING

    public static final TriggerWrapper.TriggerState WAITING

### ACQUIRED

    public static final TriggerWrapper.TriggerState ACQUIRED

### COMPLETE

    public static final TriggerWrapper.TriggerState COMPLETE

### PAUSED

    public static final TriggerWrapper.TriggerState PAUSED

### BLOCKED

    public static final TriggerWrapper.TriggerState BLOCKED

### PAUSED_BLOCKED

    public static final TriggerWrapper.TriggerState PAUSED_BLOCKED

### ERROR

    public static final TriggerWrapper.TriggerState ERROR

Method Detail

### values

    public static TriggerWrapper.TriggerState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TriggerWrapper.TriggerState c : TriggerWrapper.TriggerState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TriggerWrapper.TriggerState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2001-2016, Terracotta, Inc.